Subject: Re: [RFC][PATCH 0/9] Network receive deadlock prevention for NBD

From: Daniel Phillips <[email-masked]>
Date: Tue, 08 Aug 2006 22:52:34 -0700

Evgeniy Polyakov wrote:
> On Tue, Aug 08, 2006 at 09:33:25PM +0200, Peter Zijlstra ([email-masked]) wrote:
> 
>>   http://lwn.net/Articles/144273/
>>   "Kernel Summit 2005: Convergence of network and storage paths"
>>
>>We believe that an approach very much like today's patch set is
>>necessary for NBD, iSCSI, AoE or the like ever to work reliably. 
>>We further believe that a properly working version of at least one of
>>these subsystems is critical to the viability of Linux as a modern
>>storage platform.
> 
> There is another approach for that - do not use slab allocator for
> network dataflow at all. It automatically has all you pros amd if
> implemented correctly can have a lot of additional usefull and
> high-performance features like full zero-copy and total fragmentation
> avoidance.

Agreed.  But probably more intrusive than davem would be happy with
at this point.

Regards,

Daniel